1. Snackers's Avatar
    I was cleaning out some things on my 8830. I removed Mr Call Block and crunchSMS by accident. I went to my appworld account and instantly a sign showed up saying nothing is supported for your device. I then looked up Mr Call Block and CrunchSMS specifically and it said the same thing. What could be wrong. Its says requirements must be 4.5 I have that and it says all the devices it supports and mine is on the list.

    I even created a new account to see if something was wrong and had the same problems!

    What could be wrong? How do I fix it and is there another way to get these apps on my phone without using app world? Is this a glitch that happens often on app world that fixes itself?

    Im really confused!
    03-06-11 07:29 PM
  2. BlackBerry.est08's Avatar
    If you applications aren't supported, you need to check the following:

    - do you meet the OS requirements?
    - is your handset supported?
    - is your country supported?
    - is your carrier supported?

    Any applications that don't work are usually caused by the last two points. If you meet all the requirements, check to see if the developer has a website that allows you to download outside of AppWorld.
    03-06-11 08:42 PM
  3. Snackers's Avatar
    All are supported and worked last week. I accidentally deleted 2 of the ones I wanted to keep so I went to reinstall them and every says my device isnt supported. It seems as if something all of the sudden is wrong with my phone or its an app world problem.

    but to answer all your questions yes to all 4!
    03-06-11 09:16 PM
LINK TO POST COPIED TO CLIPBOARD